#include "run-time.h"

void _Init_harp_cg_back_end_ () __attribute__((constructor));
void _Init_harp_cg_back_end_ () {
  extern void _Init_Run_Time();
  extern void _Init_collections_();
  extern void _Init_dfmc_back_end_protocol_();
  extern void _Init_common_dylan_();
  extern void _Init_harp_cg_back_end__X_harp_cg_back_end_module_for_system();
  extern void _Init_harp_cg_back_end__X_harp_cg_back_end_for_system();
  extern void _Init_harp_cg_back_end__X_variables_for_system();
  extern void _Init_harp_cg_back_end__X_harp_cg_back_end_module_for_user();
  extern void _Init_harp_cg_back_end__X_harp_cg_back_end_for_user();
  extern void _Init_harp_cg_back_end__X_variables_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_collections_();
    _Init_dfmc_back_end_protocol_();
    _Init_common_dylan_();
    _Init_harp_cg_back_end__X_harp_cg_back_end_module_for_system();
    _Init_harp_cg_back_end__X_harp_cg_back_end_for_system();
    _Init_harp_cg_back_end__X_variables_for_system();
    _Init_harp_cg_back_end__X_harp_cg_back_end_module_for_user();
    _Init_harp_cg_back_end__X_harp_cg_back_end_for_user();
    _Init_harp_cg_back_end__X_variables_for_user();
  }
}
